Bug 1416115 - [RFE] Director support for building hardware RAID on overcloud nodes
Summary: [RFE] Director support for building hardware RAID on overcloud nodes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Dmitry Tantsur
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 15:56 UTC by Dmitry Tantsur
Modified: 2020-08-05 16:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-05 16:26:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dmitry Tantsur 2017-01-24 15:56:03 UTC
We need to extend TripleO to support per-profile RAID configuration. It was previously available as "ready state" command in tripleoclient, but relied on downstream-only patches, and hence was dropped. We need to resurrect it.

There are the following principal difference from previous code:
* Stop using "ready state" wording as everyone understands something different by it.
* Use vendor-agnostic Ironic RAID support [1] instead of hardcoding DRAC.
* Use a new Mistral workflow to driver the configuration.

[1] http://docs.openstack.org/developer/ironic/deploy/raid.html

Comment 1 Dmitry Tantsur 2017-01-24 15:56:59 UTC
TripleO blueprint: https://blueprints.launchpad.net/tripleo/+spec/raid-workflow

Comment 2 Dmitry Tantsur 2017-01-24 15:59:24 UTC
Note that the basic workflow has landed in Ocata timeframe, so there will be limited support for RAID in OSP 11.

Comment 3 Red Hat Bugzilla Rules Engine 2017-02-14 15:51:53 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 4 Dmitry Tantsur 2020-08-05 16:26:27 UTC
Doesn't seem to have enough traction; software RAID is tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1317918


Note You need to log in before you can comment on or make changes to this bug.